Package com.smartgwt.logicalstructure.widgets

# Class ImgButtonLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.ImgLogicalStructure
com.smartgwt.logicalstructure.widgets.ImgButtonLogicalStructure

public class ImgButtonLogicalStructure extends ImgLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `actionType`
  `String`
  `align`
  `String`
  `autoFit`
  `String`
  `baseStyle`
  `String`
  `heightAsString`
  `String`
  `hiliteAccessKey`
  `String`
  `icon`
  `String`
  `iconAlign`
  `String`
  `iconHeight`
  `String`
  `iconOrientation`
  `String`
  `iconSize`
  `String`
  `iconSpacing`
  `String`
  `iconWidth`
  `String`
  `labelHPad`
  `String`
  `labelVPad`
  `String`
  `radioGroup`
  `String`
  `showClippedTitleOnHover`
  `String`
  `showDisabled`
  `String`
  `showDisabledIcon`
  `String`
  `showDown`
  `String`
  `showDownIcon`
  `String`
  `showFocused`
  `String`
  `showFocusedIcon`
  `String`
  `showRollOver`
  `String`
  `showRollOverIcon`
  `String`
  `showSelectedIcon`
  `String`
  `showTitle`
  `SCStatefulImgConfig`
  `srcAsSCStatefulImgConfig`
  `String`
  `srcAsString`
  `String`
  `state`
  `String`
  `title`
  `String`
  `valign`
  `String`
  `widthAsString`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.ImgLogicalStructure

  `altText, editProxyConstructor, imageHeight, imageSize, imageType, imageWidth, prompt, showFocusedAsOver, showImageDisabled, showImageDown, showImageFocused, showImageFocusedAsOver, showImageRollOver, size, usePNGFix`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure

  `ariaLabel, iconStyle, ignoreRTL, overCanvasConstructor, redrawOnStateChange, selected, showMenuOnClick, showOverCanvas, showRTLIcon, styleName, vIconStyle`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, overflow, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImgButtonLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### actionType

    public String actionType

  - ### align

    public String align

  - ### autoFit

    public String autoFit

  - ### baseStyle

    public String baseStyle

  - ### heightAsString

    public String heightAsString

  - ### hiliteAccessKey

    public String hiliteAccessKey

  - ### icon

    public String icon

  - ### iconAlign

    public String iconAlign

  - ### iconHeight

    public String iconHeight

  - ### iconOrientation

    public String iconOrientation

  - ### iconSize

    public String iconSize

  - ### iconSpacing

    public String iconSpacing

  - ### iconWidth

    public String iconWidth

  - ### labelHPad

    public String labelHPad

  - ### labelVPad

    public String labelVPad

  - ### radioGroup

    public String radioGroup

  - ### showClippedTitleOnHover

    public String showClippedTitleOnHover

  - ### showDisabled

    public String showDisabled

  - ### showDisabledIcon

    public String showDisabledIcon

  - ### showDown

    public String showDown

  - ### showDownIcon

    public String showDownIcon

  - ### showFocused

    public String showFocused

  - ### showFocusedIcon

    public String showFocusedIcon

  - ### showRollOver

    public String showRollOver

  - ### showRollOverIcon

    public String showRollOverIcon

  - ### showSelectedIcon

    public String showSelectedIcon

  - ### showTitle

    public String showTitle

  - ### srcAsString

    public String srcAsString

  - ### srcAsSCStatefulImgConfig

    public SCStatefulImgConfig srcAsSCStatefulImgConfig

  - ### state

    public String state

  - ### title

    public String title

  - ### valign

    public String valign

  - ### widthAsString

    public String widthAsString

- ## Constructor Details

  - ### ImgButtonLogicalStructure

    public ImgButtonLogicalStructure()